CREATE TABLE msc_atp_alt_avail_options (
    UNIQUE_ORDER_NUMBER               VARCHAR2(128) ,
    OPTION_RANK                       NUMBER        ,
    OPTION_SUMMARY                    VARCHAR2(256) ,
    INSTANCE_NUMBER                   VARCHAR2(256) ,
    INTERNAL_SUPPLY_IDENTIFIER        VARCHAR2(400) ,
    INTERNAL_ORDER_TYPE               VARCHAR2(128) ,
    FULFILLMENT_LINE_ID               VARCHAR2(128) ,
    PARENT_FULFILL_IDENTIFIER         VARCHAR2(128) ,
    SALES_ORDER_NUMBER                VARCHAR2(256) ,
    SPLIT_LINE_IDENTIFIER             VARCHAR2(256) ,
    PARENT_SPLIT_LINE_IDENTIFIER      VARCHAR2(256) ,
    SET_NAME                          VARCHAR2(200) ,
    CONFIG_ITEM                       VARCHAR2(400) ,
    REQUESTED_DATE                    DATE          ,
    REQUESTED_ITEM                    VARCHAR2(400) ,
    PARTY                             VARCHAR2(400) ,
    PARTY_SITE                        VARCHAR2(1020),
    DESTINATION_ORG                   VARCHAR2(400) ,
    PROMISING_STATUS                  VARCHAR2(400) ,
    PROMISING_TYPE                    VARCHAR2(128) ,
    TOTAL_PRICE                       NUMBER        ,
    PRICE                             NUMBER        ,
    TOTAL_PROFIT                      NUMBER        ,
    PROFIT                            NUMBER        ,
    TOTAL_MARGIN                      NUMBER        ,
    TOTAL_VALUE                       NUMBER        ,
    VALUE                             NUMBER        ,
    NUMBER_OF_SPLITS                  NUMBER        ,
    NUMBER_OF_SUBSTITUTIONS           NUMBER        ,
    FILL_RATE                         NUMBER        ,
    NUMBER_OF_ATP_ITEMS               NUMBER        ,
    NUMBER_OF_CTP_ITEMS               NUMBER        ,
    SOURCING_RULE                     VARCHAR2(400) ,
    EXPECTED_SET_SHIP_DATE            DATE          ,
    EXPECTED_SET_ARRIVAL_DATE         DATE          ,
    DAYS_OF_DELAY                     NUMBER(18, 0) ,
    SOURCE_ORDER_LINE                 NUMBER        ,
    SOURCE_DOCUMENT_TYPE              VARCHAR2(200) ,
    ITEM_TYPE_CODE                    VARCHAR2(120) ,
    ITEM_SUB_TYPE_CODE                VARCHAR2(120) ,
    EXPECTED_SHIP_FROM_ORG_NAME       VARCHAR2(960) ,
    SHIP_METHOD                       VARCHAR2(2080),
    DESTINATION_ORG_NAME              VARCHAR2(960) ,
    SOURCE_TIMEZONE_CODE              VARCHAR2(256) ,
    DESTINATION_TIMEZONE_CODE         VARCHAR2(256) ,
    ORGANIZATION_TIMEZONE_CODE        VARCHAR2(256) ,
    ITEM_DESCRIPTION                  VARCHAR2(960) ,
    ORGANIZATION_NAME                 VARCHAR2(960) ,
    BACK_TO_BACK_FLAG                 NUMBER        ,
    CURRENCY_CONVERSION_RATE          NUMBER        ,
    REQUESTED_ORG_CODE                VARCHAR2(196) ,
    REQUESTED_ITEM_ID                 NUMBER        ,
    EXPECTED_ARRIVAL_DATE             DATE          ,
    EXPECTED_SHIP_DATE                DATE          ,
    EXPECTED_PICK_DATE                DATE          ,
    EXPECTED_AVAILABLE_ITEM           VARCHAR2(400) ,
    EXPECTED_AVAIL_ON_REQ_DATE        NUMBER        ,
    EXPECTED_AVAILABLE_QUANTITY       NUMBER        ,
    EXPECTED_AVAILABLE_QTY_UOM        VARCHAR2(256) ,
    EXPECTED_SUPPLIER_SOURCE          VARCHAR2(128) ,
    EXPECTED_DROPSHIP_SUPPLIER        VARCHAR2(400) ,
    EXPECTED_DROPSHIP_SUPLIER_SITE    VARCHAR2(1020),
    EXPECTED_MODE                     VARCHAR2(256) ,
    EXPECTED_SERVICE                  VARCHAR2(256) ,
    EXPECTED_CARRIER                  VARCHAR2(256) ,
    EXPECTED_MARGIN                   NUMBER        ,
    EXPECTED_DEMAND_CLASS             VARCHAR2(400) ,
    EXPECTED_TOTAL_FULFILMENT_COST    NUMBER        ,
    EXPECTED_SHIPPING_COST            NUMBER        ,
    LINE_FILL_RATE                    NUMBER        ,
    EXPECTED_SHIP_FROM_ORG            VARCHAR2(400) ,
    CARRIER_CALENDAR                  VARCHAR2(256) ,
    DESTINATION_RECEIVING_CALENDAR    VARCHAR2(256) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    ROOT_PARENT_FULFILL_IDENTIFIER    VARCHAR2(128) ,
    UNIQUE_ORDER_NUMBER               VARCHAR2(128) ,
    OPTION_RANK                       NUMBER        ,
    OPTION_SUMMARY                    VARCHAR2(256) ,
    INSTANCE_NUMBER                   VARCHAR2(256) ,
    INTERNAL_SUPPLY_IDENTIFIER        VARCHAR2(400) ,
    INTERNAL_ORDER_TYPE               VARCHAR2(128) ,
    FULFILLMENT_LINE_ID               VARCHAR2(128) ,
    PARENT_FULFILL_IDENTIFIER         VARCHAR2(128) ,
    SALES_ORDER_NUMBER                VARCHAR2(256) ,
    SPLIT_LINE_IDENTIFIER             VARCHAR2(256) ,
    PARENT_SPLIT_LINE_IDENTIFIER      VARCHAR2(256) ,
    CONFIG_ITEM                       VARCHAR2(400) ,
    REQUESTED_DATE                    DATE          ,
    REQUESTED_ITEM                    VARCHAR2(400) ,
    REQUESTED_QUANTITY                NUMBER        ,
    UNIT_PRICE                        NUMBER        ,
    REQUESTED_ORG_IDENTIFIER          VARCHAR2(400) ,
    REQUESTED_TYPE                    VARCHAR2(128) ,
    LATEST_ACCEPTABLE_DATE            DATE          ,
    EARLIEST_ACCEPTABLE_DATE          DATE          ,
    SPLIT_ALLOWED                     NUMBER        ,
    SUBSTITUTION_ALLOWED              NUMBER        ,
    PARTY                             VARCHAR2(400) ,
    PARTY_SITE                        VARCHAR2(1020),
    REGION                            VARCHAR2(400) ,
    DESTINATION_ORG                   VARCHAR2(400) ,
    DROPSHIP_SUPPLIER                 VARCHAR2(400) ,
    DROPSHIP_SUPPLIER_SITE            VARCHAR2(1020),
    PROMISING_TYPE                    VARCHAR2(128) ,
    PRIORITY                          NUMBER        ,
    DEMAND_CLASS                      VARCHAR2(400) ,
    IGNORE_RESERVATION_FLAG           NUMBER        ,
    IGNORE_DATE_RESERVATION_FLAG      NUMBER        ,
    NUMBER_OF_ALT_OPTIONS             NUMBER        ,
    TOTAL_PRICE                       NUMBER        ,
    TOTAL_PROFIT                      NUMBER        ,
    TOTAL_MARGIN                      NUMBER        ,
    TOTAL_VALUE                       NUMBER        ,
    NUMBER_OF_SPLITS                  NUMBER        ,
    NUMBER_OF_SUBSTITUTIONS           NUMBER        ,
    FILL_RATE                         NUMBER        ,
    NUMBER_OF_ATP_ITEMS               NUMBER        ,
    NUMBER_OF_CTP_ITEMS               NUMBER        ,
    SOURCING_RULE                     VARCHAR2(400) ,
    EXPECTED_GROUP_SHIP_DATE          DATE          ,
    EXPECTED_GROUP_ARRIVAL_DATE       DATE          ,
    EXPECTED_ARRIVAL_DATE             DATE          ,
    EXPECTED_SHIP_DATE                DATE          ,
    EXPECTED_PICK_DATE                DATE          ,
    EXPECTED_AVAILABLE_ITEM           VARCHAR2(400) ,
    EXPECTED_AVAIL_ON_REQ_DATE        NUMBER        ,
    EXPECTED_AVAILABLE_QUANTITY       NUMBER        ,
    EXPECTED_AVAILABLE_QTY_UOM        VARCHAR2(256) ,
    EXPECTED_SUPPLIER_SOURCE          VARCHAR2(128) ,
    EXPECTED_DROPSHIP_SUPPLIER        VARCHAR2(400) ,
    EXPECTED_DROPSHIP_SUPLIER_SITE    VARCHAR2(1020),
    EXPECTED_MODE                     VARCHAR2(256) ,
    EXPECTED_SERVICE                  VARCHAR2(256) ,
    EXPECTED_CARRIER                  VARCHAR2(256) ,
    EXPECTED_MARGIN                   NUMBER        ,
    EXPECTED_DEMAND_CLASS             VARCHAR2(400) ,
    EXPECTED_TOTAL_FULFILMENT_COST    NUMBER        ,
    EXPECTED_SHIPPING_COST            NUMBER        ,
    LINE_FILL_RATE                    NUMBER        ,
    EXPECTED_SHIP_FROM_ORG            VARCHAR2(400) ,
    CARRIER_CALENDAR                  VARCHAR2(256) ,
    DESTINATION_RECEIVING_CALENDAR    VARCHAR2(256) ,
    CUSTOMER_CLASS                    VARCHAR2(256) ,
    SHIP_QTY                          NUMBER        ,
    RESERVED_QTY                      NUMBER        ,
    RESERVATION_DATE                  DATE          ,
    GET_AVAIL_FOR_SUBSTITUTE_ITEMS    VARCHAR2(40)  ,
    UPDATE_TIME                       NUMBER        ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    PROMISING_STATUS                  VARCHAR2(400) ,
    PRICE                             NUMBER        ,
    PROFIT                            NUMBER        ,
    VALUE                             NUMBER        ,
    SET_NAME                          VARCHAR2(200) ,
    EXPECTED_SET_SHIP_DATE            DATE          ,
    EXPECTED_SET_ARRIVAL_DATE         DATE          ,
    DAYS_OF_DELAY                     NUMBER(18, 0) ,
    SOURCE_ORDER_LINE                 NUMBER        ,
    SOURCE_DOCUMENT_TYPE              VARCHAR2(200) ,
    ITEM_TYPE_CODE                    VARCHAR2(120) ,
    ITEM_SUB_TYPE_CODE                VARCHAR2(120) ,
    EXPECTED_SHIP_FROM_ORG_NAME       VARCHAR2(960) ,
    SHIP_METHOD                       VARCHAR2(2080),
    DESTINATION_ORG_NAME              VARCHAR2(960) ,
    SOURCE_TIMEZONE_CODE              VARCHAR2(256) ,
    DESTINATION_TIMEZONE_CODE         VARCHAR2(256) ,
    ORGANIZATION_TIMEZONE_CODE        VARCHAR2(256) ,
    ITEM_DESCRIPTION                  VARCHAR2(960) ,
    ORGANIZATION_NAME                 VARCHAR2(960) ,
    BACK_TO_BACK_FLAG                 NUMBER        ,
    CURRENCY_CONVERSION_RATE          NUMBER        ,
    REQUESTED_ORG_CODE                VARCHAR2(196) ,
    REQUESTED_ITEM_ID                 NUMBER        ,
    ROOT_PARENT_FULFILL_IDENTIFIER    VARCHAR2(128) ,
    CONSTRAINT pk_msc_atp_alt_avail_options PRIMARY KEY (UNIQUE_ORDER_NUMBER, OPTION_RANK, FULFILLMENT_LINE_ID, SPLIT_LINE_IDENTIFIER, UNIQUE_ORDER_NUMBER, OPTION_RANK, FULFILLMENT_LINE_ID, SPLIT_LINE_IDENTIFIER)
);
